Kiosk Associations

Purpose

Retrieves all associations configured for a specific Kiosk in Zoho CRM, including the associated resources and, their additional details.

Use the Get All Kiosks API to retrieve the Kiosk ID.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • GET /settings/kiosks/{kiosk_ID}/associations

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{unique_kiosk_ID}/associations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.READ
(or)
ZohoCRM.settings.ALL

Parameters

  • include_inner_detailsstring, optional

    Specify the additional detail fields to include in the response. Provide one or more comma-separated values to retrieve additional metadata for specific association types.
    Possible values: 

    custom_buttons.module - Include module details for custom button associations.

    home_page.page - Include page details for home page associations.

    mobile_canvas_page.page - Include page details for mobile canvas page associations.

    canvas_page.page - Include page details for canvas page associations.

    blueprint.module - Include module details for blueprint associations.

    _associations.detail_view_page.module - Include module details for detail view page associations.

    _associations.detail_view_page.layout - Include layout details for detail view page associations.

    _associations.detail_view_page.criteria - Include criteria details for detail view page.

    Example: include_inner_details=custom_buttons.module,blueprint.module

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000009995093/associations?include_inner_details=custom_buttons.module,home_page.page,mobile_canvas_page.page,canvas_page.page,blueprint.module,_associations.detail_view_page.module,_associations.detail_view_page.layout,_associations.detail_view_page.criteria"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The kiosks JSON array contains the Kiosks returned in the response along with their associated resources. If a Kiosk has no associations, the _associations field is returned as null.

  • _associationsJSON array

    Contains all associations configured for the Kiosk. Each object represents a different association category.

    • typestring

      Represents the type of association.

      Possible values: home_page, custom_buttons, setup_page, blueprint, detail_view_page, canvas_page, canvas_home_page, mobile_canvas_page.

      The association structure varies based on the type. Refer to the Sample Response section. For most association types, associated items are returned in the resources array. For certain association types, such as detail_view_page, the associated items are returned in the dedicated detail_view_page array instead of the resources array.

    • resourcesJSON array

      Represents the associated items for the specified association type.

      • sequence_numberinteger

        Specifies the order in which the associated item is processed or displayed. This helps maintain a consistent sequence in the Kiosk flow or UI.

      • namestring

        Represents the name of the associated item. This is a user-defined or system-generated label used for identification.

      • idstring

        Represents the unique identifier of the associated item.

      • _detailsJSON object

        Contains additional metadata about the associated item. The structure of this object is dynamic and depends on the association type. It may be null if no additional details are available. Use the include_inner_details parameter to retrieve additional details about the associated Kiosk resources.

        Note

        • The structure of each resource object is mostly consistent, but _details can vary.
        • The sequence_number plays an important role in determining execution or display order.
    • detail_view_pageJSON array

      Represents the detail view page associations configured for the Kiosk.

      Note: This key is returned only when the association type is detail_view_page. For this association type, the associated items are returned in the detail_view_page array instead of the resources array.

  • idstring

    Represents the unique identifier of the Kiosk.

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid Kiosk ID
    Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. 

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve the Kiosk associations. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": [
        {
            "_associations": [
                {
                    "resources": [
                        {
                            "sequence_number": 1,
                            "name": "Activate Kiosk (Kiosk)",
                            "id": "5725767000010161028",
                            "_details": {
                                "page": {
                                    "name": "Kiosk",
                                    "id": "5725767000010161027",
                                    "type": "shared_home"
                                }
                            }
                        }
                    ],
                    "type": "home_page"
                },
                {
                    "resources": [
                        {
                            "sequence_number": 1,
                            "name": "Kiosks",
                            "id": "5725767000010161019",
                            "_details": {
                                "module": {
                                    "display_label": "Contacts",
                                    "api_name": "Contacts",
                                    "name": "Contacts",
                                    "id": "5725767000000002179"
                                }
                            }
                        }
                    ],
                    "type": "custom_buttons"
                },
                {
                    "resources": [
                        {
                            "sequence_number": 1,
                            "name": "Email Kiosk",
                            "id": "5725767000010971011",
                            "_details": null
                        }
                    ],
                    "type": "setup_page"
                },
                {
                    "resources": [
                        {
                            "sequence_number": 1,
                            "name": "Validate Income",
                            "id": "5725767000000668011",
                            "_details": {
                                "module": {
                                    "api_name": "Leads",
                                    "name": "Leads",
                                    "id": "5725767000000002175"
                                }
                            }
                        }
                    ],
                    "type": "blueprint"
                },
                {
                    "resources": null,
                    "type": "detail_view_page",
                    "detail_view_page": [
                        {
                            "sequence_number": 1,
                            "layout": {
                                "name": "Standard",
                                "id": "5725767000000091055",
                                "status": "active"
                            },
                            "criteria": {
                                "comparator": "contains",
                                "field": {
                                    "api_name": "Email",
                                    "id": "5725767000000002599"
                                },
                                "type": "value",
                                "value": "test@mail.com"
                            },
                            "module": {
                                "display_label": "Leads",
                                "api_name": "Leads",
                                "name": "Leads",
                                "id": "5725767000000002175"
                            },
                            "name": "Active Associations",
                            "id": "5725767000010971005"
                        }
                    ]
                },
                {
                    "sequence_number": 6,
                    "resources": [
                        {
                            "name": "Email Kiosk",
                            "id": "5725767000010971023",
                            "_details": {
                                "page": {
                                    "module": {
                                        "api_name": "Leads",
                                        "name": "Leads",
                                        "id": "5725767000000091055"
                                    },
                                    "type": "detail_view"
                                }
                            }
                        }
                    ],
                    "type": "canvas_page"
                },
                {
                    "sequence_number": 7,
                    "resources": [
                        {
                            "name": "Email Kiosk",
                            "id": "5725767000010971055",
                            "_details": {
                                "page": {
                                    "module": {
                                        "api_name": "Home",
                                        "name": "Home"
                                    },
                                    "type": "canvas_home_page"
                                }
                            }
                        }
                    ],
                    "type": "canvas_home_page"
                },
                {
                    "sequence_number": 8,
                    "resources": [
                        {
                            "name": "Kiosk",
                            "id": "5725767000010971035",
                            "_details": {
                                "page": {
                                    "module": {
                                        "api_name": "Leads",
                                        "name": "Leads",
                                        "id": "5725767000000091055"
                                    },
                                    "type": "mobile_canvas_page"
                                }
                            }
                        }
                    ],
                    "type": "mobile_canvas_page"
                }
            ],
            "id": "5725767000009995093"
        }
    ]
}